(defun lay_load_menu (/ mnu)

  (if (or (setq mnu (findfile "laymenu.mns"))
          (setq mnu (findfile "laymenu.mnu"))
          ) ;_ Ende von or
    (progn
      (command "_menuload" mnu)
      (if
        (= (getvar "cmdactive") 1)
         (command)
         ) ;_ end of if
      ) ;_ end of progn
    (alert
      "\nDas Layer2-Men konnte in keinem Acad-Supportpfad gefunden werden.\nBitte die Supportpfade berprfen, oder die Datei 'Layblaet.mnu in ein Supportverzeichnis kopieren!"
      ) ;_ Ende von alert
    ) ;_ end of if
  ) ;_ end of defun

(defun C:M:LAYFR (/ va)
  (M:setsysvar)
  (M:CREATE_LAYER_TABLE)
  (setq va (nentsel "waehle Objekt fuer Layer :"))
  (While va
    (setq va (cdr (assoc 8 (entget (car va)))))
    (command "_.-layer" "_F" va "" "_.regen") ;_ ende von command
    (setq va (nentsel "waehle Objekt fuer Layer :"))
    ) ;_ ende von While
  (M:restoresysvar)
  ) ;_ ende von defun
                                        ;---------------------------Layerstand speichern------------------------------------
(defun M:CREATE_LAYER_TABLE
       (/ C_LAY LYR_DATA LYR_NM LYR_THAWED LYR_ON?)

  (setq C_LAY NIL
        LYR_DATA NIL
        LYR_NM NIL
        LYR_THAWED?
         NIL
        LYR_ON? NIL
        LYRS NIL
        ) ;_ end of setq
  (setq C_LAY       (getvar "clayer")
        LYR_DATA    (tblnext "layer" t)
        LYR_NM      (cdr (assoc 2 LYR_DATA))
        LYR_THAWED? (cdr (assoc 70 LYR_DATA))
        LYR_ON?     (cdr (assoc 62 LYR_DATA))
        LYRS        (list (list LYR_NM LYR_THAWED? LYR_THAWED?))
        )                               ;ende setq
  (while (setq LYR_DATA (tblnext "layer"))
    (setq LYR_NM      (cdr (assoc 2 LYR_DATA))
          LYR_THAWED? (cdr (assoc 70 LYR_DATA))
          LYR_ON?     (cdr (assoc 62 LYR_DATA))
          LYRS        (cons (list LYR_NM LYR_THAWED? LYR_ON?) LYRS)
          )                             ;ende setq
    )                                   ;ende while
  (M:MACH-LAY-LISTE LYRS)
  )                                     ;ende defun

                                        ;------------------------Layerstand wiederherstellen--------------------------------
(defun M:RESTORE_LAYERS (LYRS / MD_AKT MD_TA MD_ON? MD_ZAEHLER)

  (setq MD_TA NIL
        MD_AKT NIL
        MD_ON? NIL
        MD_ZAEHLER
         0
        ) ;_ end of setq
  (command "_-layer" "ta" "*" "ein" "*" "ent" "*" "_set" C_LAY "") ;_ ende von command
 ;_ end of command
  (repeat (length LYRS)
    (progn
      (setq
        MD_AKT (car (nth MD_ZAEHLER LYRS))
        MD_TA  (cadr (nth MD_ZAEHLER LYRS))
        MD_ON? (caddr (nth MD_ZAEHLER LYRS))
        ) ;_ end of setq
      (command "_-layer")
      (if (or (= MD_TA 1) (= MD_TA 17) (= MD_TA 49))
        (command "fr" MD_AKT)
        )                               ;ende if
      (if (or (= MD_TA 4) (= MD_TA 20) (= MD_TA 52))
        (command "SP" MD_AKT)
        )                               ;ende if
      (if (or (= MD_TA 5) (= MD_TA 21) (= MD_TA 53))
        (command "fr" MD_AKT "sp" MD_AKT)
        )                               ;ende if
      (if (minusp MD_ON?)
        (command "_off" MD_AKT)
        )                               ;ende if
      (command)
      (setq MD_ZAEHLER (1+ MD_ZAEHLER))
      )                                 ;ende progn
    )                                   ;ende repeat
  LYRS
  )                                     ;ende defun

(defun M:MACH-LAY-LISTE (LAYLIST /)
  (cond
    ((null LI1)
     (setq LI1 LAYLIST)
     )
    ((null LI2)
     (setq LI2 LAYLIST)
     )
    ((null LI3)
     (setq LI3 LAYLIST)
     )
    ((null LI4)
     (setq LI4 LAYLIST)
     )
    ((null LI5)
     (setq LI5 LAYLIST)
     )
    ((null LI6)
     (setq LI6 LAYLIST)
     )
    ((null LI7)
     (setq LI7 LAYLIST)
     )
    ((null LI8)
     (setq LI8 LAYLIST)
     )
    ((null LI9)
     (setq LI9 LAYLIST)
     )
    ((null LI0)
     (setq LI0 LAYLIST)
     )
    (T
     (setq LI1 LI2
           LI2 LI3
           LI3 LI4
           LI4 LI5
           LI5 LI6
           LI6 LI7
           LI7 LI8
           LI8 LI9
           LI9 LI0
           LI0 LAYLIST
           ) ;_ ende von setq
     )
    ) ;_ ende von cond
  ) ;_ ende von defun

(defun C:LAY-BACK (/)
  (M:setsysvar)
  (setq LAYLIST (M:RESTORE_LAYERS LYRS))
  (cond
    ((= LI1 LAYLIST)
     (setq LI1 NIL)
     )
    ((= LI2 LAYLIST)
     (setq LI2  NIL
           LYRS LI1
           ) ;_ ende von setq
     )
    ((= LI3 LAYLIST)
     (setq LI3  NIL
           LYRS LI2
           ) ;_ ende von setq
     )
    ((= LI4 LAYLIST)
     (setq LI4  NIL
           LYRS LI3
           ) ;_ ende von setq
     )
    ((= LI5 LAYLIST)
     (setq LI5  NIL
           LYRS LI4
           ) ;_ ende von setq
     )
    ((= LI6 LAYLIST)
     (setq LI6  NIL
           LYRS LI5
           ) ;_ ende von setq
     )
    ((= LI7 LAYLIST)
     (setq LI7  NIL
           LYRS LI6
           ) ;_ ende von setq
     )
    ((= LI8 LAYLIST)
     (setq LI8  NIL
           LYRS LI7
           ) ;_ ende von setq
     )
    ((= LI9 LAYLIST)
     (setq LI9  NIL
           LYRS LI8
           ) ;_ ende von setq
     )
    ((= LI0 LAYLIST)
     (setq LI0  NIL
           LYRS LI9
           ) ;_ ende von setq
     )
    ) ;_ ende von cond
  (M:restoresysvar)
  ) ;_ ende von defun

(defun M:setsysvar ()
  (setq ocmd  (getvar "cmdecho")
        olisp (getvar "lispinit")
        ) ;_ ende von setq
  (setvar "cmdecho" 0)
  (setvar "lispinit" 1)
  ) ;_ ende von defun

(defun M:restoresysvar ()
  (setvar "cmdecho" ocmd)
  (setvar "lispinit" olisp)
  ) ;_ ende von defun

(lay_load_menu)
;|Visual LISP Format Options
(72 2 40 1 T "ende von " 60 9 0 0 0 nil T nil T)
;*** KEINEN Text unterhalb des Kommentars hinzufgen! ***|;
